# AP4_SampleRtpConstructor Class Reference

`#include <Ap4RtpHint.h>`

Inheritance diagram for AP4_SampleRtpConstructor:

List of all members.

## Public Member Functions
| AP4_SampleRtpConstructor (AP4_ByteStream &stream)
| AP4_SampleRtpConstructor (AP4_UI08 track_ref_index, AP4_UI16 length, AP4_UI32 sample_num, AP4_UI32 sample_offset)
AP4_UI08 | GetTrackRefIndex () const
AP4_UI16 | GetLength () const
AP4_UI32 | GetSampleNum () const
AP4_UI32 | GetSampleOffset () const
virtual AP4_Size | GetConstructedDataSize ()
## Protected Member Functions
virtual AP4_Result | DoWrite (AP4_ByteStream &stream)
## Protected Attributes
AP4_UI08 | m_TrackRefIndex
AP4_UI16 | m_Length
AP4_UI32 | m_SampleNum
AP4_UI32 | m_SampleOffset

## Detailed Description

Definition at line 224 of file Ap4RtpHint.h.

## Constructor & Destructor Documentation

AP4_SampleRtpConstructor::AP4_SampleRtpConstructor | ( | AP4_ByteStream & | stream | ) |

AP4_SampleRtpConstructor::AP4_SampleRtpConstructor | ( | AP4_UI08 | track_ref_index,
|  | AP4_UI16 | length,
|  | AP4_UI32 | sample_num,
|  | AP4_UI32 | sample_offset |
| ) |  |  |

## Member Function Documentation

AP4_UI08 AP4_SampleRtpConstructor::GetTrackRefIndex | ( |  | ) | const`[inline]`

Definition at line 235 of file Ap4RtpHint.h.

References m_TrackRefIndex.

AP4_UI16 AP4_SampleRtpConstructor::GetLength | ( |  | ) | const`[inline]`

Definition at line 236 of file Ap4RtpHint.h.

References m_Length.

AP4_UI32 AP4_SampleRtpConstructor::GetSampleNum | ( |  | ) | const`[inline]`

Definition at line 237 of file Ap4RtpHint.h.

References m_SampleNum.

AP4_UI32 AP4_SampleRtpConstructor::GetSampleOffset | ( |  | ) | const`[inline]`

Definition at line 238 of file Ap4RtpHint.h.

References m_SampleOffset.

virtual AP4_Size AP4_SampleRtpConstructor::GetConstructedDataSize | ( |  | ) | `[inline, virtual]`

Implements AP4_RtpConstructor.

Definition at line 241 of file Ap4RtpHint.h.

References m_Length.

virtual AP4_Result AP4_SampleRtpConstructor::DoWrite | ( | AP4_ByteStream & | stream | ) | `[protected, virtual]`

Implements AP4_RtpConstructor.

## Member Data Documentation

AP4_UI08 AP4_SampleRtpConstructor::m_TrackRefIndex`[protected]`

Definition at line 248 of file Ap4RtpHint.h.

Referenced by GetTrackRefIndex().

AP4_UI16 AP4_SampleRtpConstructor::m_Length`[protected]`

Definition at line 249 of file Ap4RtpHint.h.

Referenced by GetConstructedDataSize(), and GetLength().

AP4_UI32 AP4_SampleRtpConstructor::m_SampleNum`[protected]`

Definition at line 250 of file Ap4RtpHint.h.

Referenced by GetSampleNum().

AP4_UI32 AP4_SampleRtpConstructor::m_SampleOffset`[protected]`

Definition at line 251 of file Ap4RtpHint.h.

Referenced by GetSampleOffset().

The documentation for this class was generated from the following file:

- Ap4RtpHint.h